import sys

if len(sys.argv) < 2:
    msg  = '\n'
    msg += "Usage 1: %s $INPUT_ROOT_FILE(s)\n" % sys.argv[0]
    msg += '\n'
    sys.stderr.write(msg)
    sys.exit(1)

from ROOT import gSystem,TMath
from larlite import larlite as fmwk
from larlite import larutil
from recotool import cmtool, showerreco
from recotool.showerDef import DefaultShowerReco3D, PandoraShowerReco3D

# Create ana_processor instance
my_proc = fmwk.ana_processor()

# Set input root file
for x in range(len(sys.argv)-1):
    my_proc.add_input_file(sys.argv[x+1])

# Specify IO mode
my_proc.set_io_mode(fmwk.storage_manager.kREAD)

# Specify output root file name
my_proc.set_ana_output_file("ClusterInfo_ana.root")
#my_proc.set_output_file("ClusterInfo.root")

cluster_info = showerreco.ClusterInfo()
cluster_info.SetInputProducer("fuzzycluster")
my_proc.add_process(cluster_info)

print()
print("Finished configuring ana_processor. Start event loop!")
print()

# Let's run it.
my_proc.run();

# done!
print()
print("Finished running ana_processor event loop!")
print()

sys.exit(0)
