#ifndef LARLITE_BASE_CXX
#define LARLITE_BASE_CXX

#include "larlite_base.h"
#include "AnalysisConstants.h"
#include "GeoTypes.h"
#include "FrameworkConstants.h"
#include "RawConstants.h"
#include "DataFormatConstants.h"
#include "GeoConstants.h"
#include "MCConstants.h"

namespace larlite {
  //#####################################################
  void larlite_base::set_verbosity(msg::Level level)
  //#####################################################
  {
    
    _verbosity_level=level;
    
    for(size_t i=(size_t)(msg::kDEBUG); i<(size_t)(msg::kMSG_TYPE_MAX); ++i)
      _verbosity[i]=false;
    
    switch(level){
    case msg::kDEBUG:
      _verbosity[msg::kDEBUG]=true;
      break;
    case msg::kINFO:
      _verbosity[msg::kINFO]=true;
      break;
    case msg::kNORMAL:
      _verbosity[msg::kNORMAL]=true;
      break;
    case msg::kWARNING:
      _verbosity[msg::kWARNING]=true;
      break;
    case msg::kERROR:
      _verbosity[msg::kERROR]=true;
      break;
    case msg::kMSG_TYPE_MAX:
      break;
    }
    
  }
}

#endif
